/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

#slide-out-widget-area.slide-out-from-right-hover .inner-wrap>.inner .off-canvas-menu-container li {
    margin-bottom: 30px !important;
}

/*home*/
.main-img {
    position: relative;
    max-width: 610px;
    margin: auto;
}

img.main-mask {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 999;
}

.nectar-responsive-text.main-title {
    position: relative;
	height: 200px;
	z-index: 20;
}

/*cta*/
a.custom-cta {
    position: relative;
    z-index: 99999;
    color: #fff;
    text-transform: uppercase;
    font-size: 30px;
    font-weight: 700;
    display: inline-block;
    padding: 20px 33px 92px 33px;
    line-height: 1.2;
}

a.custom-cta.blue {
    background: #1E324B;
}

a.custom-cta.red {
    background: #EB1923;
}

a.custom-cta:after {
    content: '';
    width: 44px;
    height: 24px;
    position: absolute;
    right: 25px;
    bottom: 20px;
    background: url(/wp-content/uploads/2025/09/cta-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

a.custom-cta {
    transition: all 0.3s ease;
}

a.custom-cta:hover {
    transform: scale(0.9);
}

.vc_col-sm-6.main-cta .vc_column-inner>.wpb_wrapper {
    display: flex;
    justify-content: center;
}

.main-cta {
    z-index: 9999 !important;
}

.lokalita-cta .wpb_wrapper {
    display: flex;
    justify-content: flex-end;
    margin-right: -100px;
}

#lokalita-outline {
    left: 50%;
    transform: translateX(-50%);
    position: relative;
    display: inline-block;
    -webkit-text-stroke-width: .005em;
    opacity: 0.15;
}

.nectar-highlighted-text.font_size_23vw[data-id="lokalita-outline"] p {
    font-size: clamp(100px, 23vw, 380px) !important;
    margin-top: -10%;
}

a.small-cta {
    color: #fff;
    text-transform: uppercase;
    font-size: clamp(15px, 1.5vw, 24px);
    font-weight: 700;
    letter-spacing: 0.05em;
    line-height: 1;
    padding-right: 42px;
    position: relative;
    transition: all 0.3s ease;
}

a.small-cta:hover {
color: #eb1923;
}

a.small-cta:after {
    content: '';
    width: 30px;
    height: 17px;
    position: absolute;
    right: 0px;
    margin-top: 1px;
    top: 50%;
    transform: translateY(-50%);
    background: url(/wp-content/uploads/2025/09/cta-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.galeria-cta > .vc_column-inner > .wpb_wrapper {
    justify-content: space-between;
}

#galeria > .row-bg-wrap .row-bg.using-bg-color:after {
    content: '';
    width: 40%;
    height: 100%;
    position: absolute;
    background: #eb1923;
    top: 0;
    left: 0;
}

#galeria .flickity-viewport {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.harmonogram {
    position: relative;
    display: flex;
}

.harmonogram:before {
    content: '';
    width: 100vw;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    background: #1E324B;
    height: 2px;
}

.harmonogram-item {
    position: relative;
    flex: 0 0 25%;
    padding-top: 100px;
}

.harmonogram-lines {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
}

.line {
    position: absolute;
    width: 2px;
    height: 73px;
    background: #1E324B;
    top: 0;
    left: 0;
}

.harmonogram-lines:before {
    content: '';
    width: 2px;
    position: absolute;
    height: 32px;
    top: 0;
    background: rgb(30 50 75 / 30%);
    left: 33%;
}
    
.harmonogram-lines:after {
    content: '';
    width: 2px;
    position: absolute;
    height: 32px;
    top: 0;
    background: rgb(30 50 75 / 30%);
    left: 66%;
}

.harmonogram-item:last-child .harmonogram-lines:before,
.harmonogram-item:last-child .harmonogram-lines:after {
    display: none;
}

.col .harmonogram-item-content h3 {
    padding-bottom: 5px !important;
    margin: 0 !important;
	font-size: 40px;
	line-height: 1.1;
}

.harmonogram-item-content p {
    font-size: 16px;
    line-height: 1;
}

.col .fin-banka h3 {
    font-weight: 600;
}

.financovanie-boxes .vc_col-sm-4 .vc_column-inner {
    background: rgb(255 255 255 / 10%);
    padding: 30px;
}

/*SELEKTOR*/
#selektor-budova {
    position:relative;
    display: flex;
    width: 100%;
    height: auto;
}

.podlazie {
    fill: rgb(235 25 35 / 0%);
    transition: all 0.3s ease;
}

g.label rect {
    fill: rgb(235 25 35 / 100%);
}

g.label {
    opacity: 0;
    transition: all 0.3s ease;
}

a.link-podlazie:hover .podlazie {
    fill: rgb(235 25 35 / 50%);
}

a.link-podlazie:hover g.label {
    opacity: 1;
}

.selektor-budova-row,
.selektor-budova-row .row_col_wrap_12_inner,
.selektor-budova-row .vc_column-inner {
    height: 100%;
}

.selektor-budova-row .vc_column-inner > .wpb_wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.selektor-budova-row .selektor-cta {
    margin-top: auto;
    margin-bottom: 150px !important;
}

/*selektor podlazie*/
.link-back a {
    color: #fff;
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 0.07em;
    position: relative;
    padding-left: 35px;
    cursor: pointer;
}

.link-back {
    display: inline-block;
    max-width: 100px;
    z-index:99;
    position: relative;
}

.link-back a:before {
    content: '';
    width: 26px;
    position: absolute;
    height: 17px;
    background: url(/wp-content/uploads/2025/09/cta-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
    left: 0;
    top: 2px;
    transform: rotateY(180deg);
}

#podorys-podlazie {
    max-width: 660px;
    width: 100%;
    height: auto;
    margin: auto;
    display: flex;
    margin-top: -30px;
    z-index: 1;
}

#info-box {
    position: absolute;
    background: #eb1923;
    z-index: 9999;
    width: 124px;
    height: 110px;
    padding: 5px 10px;
    display: none;
}

#info-box h3 {
    color:#fff;
    font-weight: 700;
    line-height: 1;
    padding-bottom: 10px;
    margin: 0;
    font-size: 26px
}

#info-box p {
    color: #fff;
    font-size: 13px;
    line-height: 1;
    padding-bottom: 7px;
}

/*.byt {
    fill: rgb(235 25 35 / 0%);
    transition: all 0.3s ease;
}

.byt:hover {
    fill: rgb(235 25 35 / 50%);
}*/

.byt.volny {
    fill: rgb(62 190 106 / 50%);
    transition: all 0.3s ease;
}

.byt.volny:hover {
    fill: rgb(62 190 106 / 80%);
}

.byt.rezervovany {
    fill: rgb(241 164 14 / 50%);
    transition: all 0.3s ease;
}

.byt.rezervovany:hover {
    fill: rgb(241 164 14 / 80%);
}

.byt.predany {
    fill: rgb(235 25 35 / 50%);
    transition: all 0.3s ease;
}

.byt.predany:hover {
    fill: rgb(235 25 35 / 80%);
}

.podlazia-list {
    position: absolute;
    top: 160px;
}

.podlazia-list a {
    color:#fff;
    transition: all 0.3s ease;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 0.05em;
}

.podlazia-list a:hover,
.podlazia-list a.active {
    color: #eb1923;
}

.podlazia-list .podlazia {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.podlazia-list .podlazia strong {
    font-weight: 600;
    font-size: 18px;
    width: 30px;
    display: inline-block;
}

.nectar-responsive-text.cennik-title {
    max-width: 220px;
    margin-bottom: -75px !important;
    position: relative;
    display: block;
    z-index: 2;
    padding-left: 70px;
}

.selektor-ponuka-top:after {
    position: absolute;
    top: 0;
    left: 50%;
    content: '';
    width: 100%;
    background: url(/wp-content/uploads/2025/10/selektor-ponuka-bgr-1.webp);
    height: 90px;
    transform: translateX(-50%);
    z-index: 99;
    background-size: cover;
    background-position: center;
}

.byt.predany {
   cursor:default;
}

/*Single byt*/
.wpb_row.single-top {
    padding-top: 140px;
    padding-bottom: 20px;
}

.single-title {
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: space-between;
    max-width: 580px;
    flex-wrap: wrap;
}

.single-title h1 {
    font-size: clamp(30px, 3.8vw, 60px);
}

a.passport-download, a.vr-360 {
    color: #fff;
    display: inline-block;
    border: 1px solid #fff;
    height: 50px;
    line-height: 48px;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 17px;
    padding: 0 45px 0 15px;
    position: relative;
}

a.passport-download:after {
    content: '';
    width: 26px;
    position: absolute;
    height: 18px;
    background: url(/wp-content/uploads/2025/09/cta-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
    right: 15px;
    top: 16px;
    transform: rotate(90deg);
}

a.vr-360:after {
    content: '';
    width: 26px;
    position: absolute;
    height: 18px;
    background: url(/wp-content/uploads/2025/09/cta-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
    right: 10px;
    top: 18px;
}

.single-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    max-width: 580px;
    border-bottom: 1px solid rgb(30 50 75 / 20%);
    margin-bottom: 35px !important;
    width: 100%;
}

.single-info-item h5 {
    margin-bottom: 5px !important;
    text-transform: none !important;
}

.single-info-item p {
    font-weight: 700;
    font-size: clamp(22px, 1.9vw, 30px);
    line-height: 1.2;
}

.single-info-item {
    padding-top: 5px;
    padding-bottom: 10px;
    margin-top: 20px;
    flex: 0 0 auto;
    border-bottom: 1px solid rgb(30 50 75 / 20%);
    border-left: 1px solid rgb(30 50 75 / 20%);
    padding-left: clamp(5px, 1.2vw, 18px);
    flex-grow: 1;
}

.single-info-item.interier,
.single-info-item.podlazie {
    border-left: none;
    padding-left: 0;
}

.single-info-divider {
    flex: 0 0 100%;
}

.single-info-item.podlazie,
.single-info-item.izby,
.single-info-item.cena {
    border-bottom: none;
    flex-grow: 0;
    padding-right: 1.2vw;
}

.single-bottom .contact-form {
    max-width: 440px;
}

.podorys-image {
    margin-top: -82px;
    background: #fff;
    padding: 30px;
}

.single-galeria {
    margin-top: 50px;
}

.single-galeria .flickity-viewport {
    margin-top: 0 !important;
}

.wpb_row.vc_row-fluid.vc_row.full-width-section.popis {
    padding-top: 40px;
}

.wpb_row.vc_row-fluid.vc_row.full-width-section.popis p {
    font-size: 16px;
    line-height: 1.6;
}

.wpb_row.vc_row-fluid.vc_row.full-width-section.popis p strong {
    font-weight: 600;
}



/*FOOTER*/
.nectar-cta.footer-tel h3 {
    font-weight: 700;
}

.container-wrap input[type=text], .container-wrap input[type=email] {
    height: 50px;
    border-radius: 0;
    margin-bottom: 10px;
    padding: 9px 15px;
}

.container-wrap textarea {
    border-radius: 0;
    margin-bottom: 10px;
    height: 105px;
    padding: 9px 15px;
}

.material .wpcf7-form .nectar-wpcf7-inline-form {
    padding: 0;
}

.wpcf7-form .nectar-wpcf7-inline-form .nectar-wpcf7-inline-field {
    padding-right: 10px;
}

.container-wrap input[type=text]::placeholder, 
.container-wrap input[type=email]::placeholder,
.container-wrap textarea::placeholder {
    color: #1e324b !important;
}

body[data-form-submit="regular"] button[type=submit] span {
    color: #fff !important;
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
    font-family: canada-type-gibson;
    letter-spacing: 0.05em;
}

body[data-form-submit=regular] .container-wrap button[type=submit] {
    padding-right: 90px !important;
    position: relative;
}

body[data-form-submit=regular] .container-wrap button[type=submit]:after {
    content: '';
    width: 44px;
    height: 24px;
    position: absolute;
    right: 15px;
    background: url(/wp-content/uploads/2025/09/cta-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
    top: 50%;
    transform: translateY(-50%);
}

.wpcf7-list-item {
    margin: 0;
}

span.wpcf7-list-item label {
    display: flex;
    opacity: 1;
    margin-top: 15px;
}

.wpcf7 input[type="checkbox"] {
    padding: 0px;
    margin-top: 0px;
    margin-bottom: 0px;
    -webkit-appearance: none;
    width: 0px !important;
}

span.wpcf7-list-item-label {
    position: relative;
    padding-left: 45px;
    font-size: 14px;
    line-height: 1.1;
    color: #141b38 !important;
    cursor: pointer;
    text-align: left;
    margin-left: -5px;
}

span.wpcf7-list-item-label:before {
    content: '';
    width: 32px;
    height: 32px;
    position: absolute;
    display: block;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background: #e1e2e4;
}

span.wpcf7-list-item-label:after {
    content: '';
    width: 32px;
    height: 32px;
    position: absolute;
    display: block;
    left: 0px;
    top: 50%;
    transform: translateY(-50%);
    background: #141b38;
    transition: all 0.2s ease;
    background-image: url(/wp-content/uploads/2025/09/icon-check.svg);
    background-size: 16px;
    background-repeat: no-repeat;
    background-position: center;
    opacity: 0;
}

input[type="checkbox"]:checked + span.wpcf7-list-item-label:after {
    transform: translateY(-50%);
    opacity: 1;
}

span.wpcf7-list-item-label a {
    text-decoration: underline;
    color: #141b38;
}

span.wpcf7-not-valid-tip {
    background: transparent;
    box-shadow: none !important;
    color: #ea1919 !important;
    font-size: 11px;
    top: 20px !important;
    position: absolute;
    right: 2px;
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
    background: #ea1919;
    border-color: #ea1919;
    color: #fff;
}

@media (min-width: 1000px) {
span.np-mobile {
    display: none;
}

.item-mobile i.nectar-menu-icon {
    display: none !important;
}
}

@media (max-width: 1000px) {
.item-mobile span.menu-title-text {
    display: none;
}

.nectar-shape-divider-wrap:not([data-using-percent-val="true"]) .nectar-shape-divider {
    height: 100%;
}

#podorys-podlazie {
    margin-top: -10px;
    width: calc(100% - 40px);
    margin-left: auto;
    margin-right: -15px;
}

.podlazia-list {
    top: 70px;
}

.podlazia-list .podlazia {
    gap: 10px;
    line-height: 1
}

.podlazia-list .podlazia strong {
    font-size: 16px;
    width: 26px;
}

span.np-desktop {
    display: none;
}

#info-box {
    display: none !important;
}

/*homepage*/
.nectar-responsive-text.main-title {
    height: 120px;
    max-width: 400px !important;
    top: 15px;
}

.vc_col-sm-6.main-cta .vc_column-inner>.wpb_wrapper {
    display: flex;
    justify-content: flex-end;
}

.vc_col-sm-6.main-cta a.custom-cta {
    top: 10px;
    right: -15px;
}

/**/
a.custom-cta {
    font-size: 18px;
    padding: 10px 12px 52px 12px;
    width: 105px;
    height: 105px;
}

a.custom-cta:after {
    width: 36px;
    height: 20px;
    right: 12px;
    bottom: 10px;
}

.o-projekte-cta a.custom-cta {
    margin-left: 10px;
}

.lokalita-cta .wpb_wrapper {
    margin-right: -10px;
    margin-bottom: -10px;
}

a.small-cta {
    font-size: 20px;
    margin-bottom: 12px;
    display: inline-block;
}

.selektor-budova-row,
.selektor-budova-row .row_col_wrap_12_inner,
.selektor-budova-row .vc_column-inner {
    height: auto;
}

.selektor-budova-row .vc_column-inner > .wpb_wrapper {
    height: auto;
}

.selektor-budova-row .selektor-cta {
    margin-top: auto;
    margin-bottom: 0px !important;
    position: absolute;
    right: 35px;
    bottom: 30px;
}

#selektor-budova {
    width: 130%;
    margin-left: -25%;
}

#galeria > .row-bg-wrap .row-bg.using-bg-color:after {
    width: 100%;
    height: 65%;
}

.harmonogram {
    flex-direction: column;
}

.harmonogram:before {
    width: 2px;
    top: 0;
    left: 0;
    transform: translateX(0);
    height: 90%;
}

.harmonogram-item {
    position: relative;
    flex: 0 0 25%;
    padding-top: 0px;
    padding-bottom: 60px;
    padding-left: 80px;
}

.harmonogram-lines {
    width: 65px;
    height: 100%;
}

.line {
    width: 65px;
    height: 2px;
}

.harmonogram-lines:before {
    width: 32px;
    height: 2px;
    top: 0;
    left: 0;
    top: 33%;
}

.harmonogram-lines:after {
    width: 32px;
    height: 2px;
    top: 0;
    left: 0;
    top: 66%;
}

.harmonogram-item-content {
    margin-top: -20px;
}

.col .harmonogram-item-content h3 {
    font-size: 36px;
}

.nectar-responsive-text.cennik-title {
    max-width: 100%;
    margin-bottom: 15px !important;
    position: relative;
    padding-left: 15px;
}

.wpb_row.single-top {
    padding-top: 120px;
    padding-bottom: 90px;
}

.single-bottom .row_col_wrap_12.col.span_12 {
    flex-direction: column-reverse;
}

a.passport-download {
    font-size: 16px;
    padding: 0 48px 0 15px;
}

.single-title {
    gap: 10px;
    justify-content: space-between;
}


.single-info-divider {
    display: none;
}

.single-info-item {
    flex: 0 0 33.333%;
    padding-top: 15px;
}

.col .single-info-item h5 {
    font-size: 12px;
    margin-bottom: 0 !important;
}

.single-info-item p {
    font-size: 25px;
}

.single-info-item {
    padding-left: 15px;
    flex-grow: 1;
    margin-top: 8px;
    padding-top: 5px;
}

.single-info-item.col-3.interier {
    order: 4;
}

.single-info-item.col-3.exterier {
    order: 5;
}

.single-info-item.col-3.kobka {
    order: 7;
}

.single-info-item.col-3.vymera {
    order: 3;
}

.single-info-item.podlazie {
    order: 1;
    border-left: none;
    padding-left: 0;
}

.single-info-item.izby {
    order: 2;
}

.single-info-item.cena {
    order: 8;
    flex: 0 0 100%;
    padding-left: 0;
    border-left: none;
}

.single-info-item.podlazie, .single-info-item.izby {
    border-bottom: 1px solid rgb(30 50 75 / 20%);
}

/*
.single-info {
    display: flex;
    justify-content: space-between;
    max-width: 100%;
    margin-top: 20px;
    flex-wrap: wrap;
}

.single-info-item {
    flex: 0 0 50%;
    padding-top: 15px;
}

.single-info-item.izby, .single-info-item.podlazie {
    text-align: left;
    width: auto;
    padding-left: 15px;
    border-bottom: 1px solid rgb(30 50 75 / 20%);
}

.single-info-item.vymera {
    border-left: none;
}*/

.single-galeria {
    margin-top: 0px;
}

.o-projekte-img-position .column-image-bg {
    background-position: left 25% center !important;
}

.lokalita-img-position .column-image-bg {
    background-position: left 9% center !important;
}
}